package keydirectory

import (
	"crypto"

	"github.com/common-fate/httpsig/verifier"
)

type RegistrationDirectory interface {
	verifier.KeyDirectory
	RegisterKey(key crypto.PublicKey, alg string, userId string) (string, error)
}
